---
title: GET /settings
slug: content-marketing-platform/api/get-settings
docTags: 
createdAt: 2026-10-01T18:51:26.265Z
---

{
  "id": "DDCDOvode9nOz1Kf7fdy1",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.cmp.optimizely.com/v3/settings",
    "servers": [
      {
        "url": "https://api.cmp.optimizely.com/v3/settings",
        "description": "v3 version of Optimizely CMP Open API"
      }
    ],
    "name": "GET /settings",
    "description": "<p>Experimental Get settings.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "OAuth2",
          "name": "OAuth2",
          "kind": "optional",
          "type": "oauth2",
          "oauth2Flows": {
            "clientCredentials": {
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {}
            },
            "authorizationCode": {
              "authorizationUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/auth",
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {
                "openid": "Grants the ability to receive a unique identifier for the user.",
                "profile": "Grants access to user profile information.",
                "offline_access": "Grants the ability to refresh access_token using the refresh token even when user is not present (not logged in)."
              }
            }
          },
          "requiredScopes": [
            "openid",
            "profile",
            "offline_access"
          ]
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Fetched settings",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "Settings",
            "schema": [
              {
                "name": "resources",
                "kind": "required",
                "type": "object",
                "description": "Fetched settings",
                "modelRef": "#/components/schemas/SettingsResources",
                "customType": "SettingsResources",
                "schema": [
                  {
                    "name": "labels",
                    "kind": "required",
                    "type": "array",
                    "description": "Settings labels",
                    "modelRef": "#/components/schemas/SettingsLabelGroup",
                    "customType": "SettingsLabelGroup[]",
                    "schema": [
                      {
                        "name": "has_single_value",
                        "kind": "required",
                        "type": "boolean",
                        "description": "Single or multiple value support indicator for the label group",
                        "example": true
                      },
                      {
                        "name": "label_type",
                        "kind": "required",
                        "type": "string",
                        "description": "Name of the label group",
                        "example": "Content Pillar"
                      },
                      {
                        "name": "labels",
                        "kind": "required",
                        "type": "array",
                        "description": "List of labels of the label group",
                        "modelRef": "#/components/schemas/SettingsLabelGroupLabel",
                        "customType": "SettingsLabelGroupLabel[]",
                        "schema": [
                          {
                            "name": "name",
                            "kind": "required",
                            "type": "string",
                            "description": "Name of the label",
                            "example": "Pillar1"
                          },
                          {
                            "name": "color",
                            "kind": "required",
                            "type": "string",
                            "nullable": true,
                            "description": "Color of the label",
                            "example": "#4ECFD5",
                            "default": null
                          }
                        ]
                      }
                    ]
                  },
                  {
                    "name": "custom_fields",
                    "kind": "required",
                    "type": "object",
                    "description": "Settings for custom fields",
                    "modelRef": "#/components/schemas/SettingsCustomField",
                    "customType": "SettingsCustomField",
                    "schema": [
                      {
                        "name": "currency",
                        "kind": "required",
                        "type": "array",
                        "description": "List of currency custom fields",
                        "modelRef": "#/components/schemas/CurrencyCustomField",
                        "customType": "CurrencyCustomField[]",
                        "schema": [
                          {
                            "name": "label",
                            "kind": "required",
                            "type": "string",
                            "description": "Name of the custom field",
                            "example": "A Currency Custom Field"
                          },
                          {
                            "name": "decimal_places",
                            "kind": "required",
                            "type": "integer",
                            "nullable": true,
                            "description": "Value of decimal places",
                            "example": 1,
                            "default": null
                          },
                          {
                            "name": "currency_code",
                            "kind": "required",
                            "type": "string",
                            "description": "Curency code of custom field",
                            "example": "USD",
                            "default": "USD"
                          },
                          {
                            "name": "has_thousand_separator",
                            "kind": "required",
                            "type": "boolean",
                            "description": "Indicator of thousand separator",
                            "example": false,
                            "default": false
                          }
                        ]
                      },
                      {
                        "name": "number",
                        "kind": "required",
                        "type": "array",
                        "description": "List of number custom fields",
                        "modelRef": "#/components/schemas/NumberCustomField",
                        "customType": "NumberCustomField[]",
                        "schema": [
                          {
                            "name": "label",
                            "kind": "required",
                            "type": "string",
                            "description": "Name of the custom field",
                            "example": "A Number Custom Field"
                          },
                          {
                            "name": "decimal_places",
                            "kind": "required",
                            "type": "integer",
                            "nullable": true,
                            "description": "Value of decimal places",
                            "example": 1
                          },
                          {
                            "name": "has_thousand_separator",
                            "kind": "required",
                            "type": "boolean",
                            "description": "Indicator of thousand separator",
                            "example": false,
                            "default": false
                          }
                        ]
                      },
                      {
                        "name": "percentage",
                        "kind": "required",
                        "type": "array",
                        "description": "List of percentage custom fields",
                        "modelRef": "#/components/schemas/PercentageCustomField",
                        "customType": "PercentageCustomField[]",
                        "schema": [
                          {
                            "name": "label",
                            "kind": "required",
                            "type": "string",
                            "description": "Name of the custom field",
                            "example": "A Percentage Custom Field"
                          },
                          {
                            "name": "decimal_places",
                            "kind": "required",
                            "type": "integer",
                            "nullable": true,
                            "description": "Value of decimal places",
                            "example": 1,
                            "default": null
                          }
                        ]
                      },
                      {
                        "name": "checkbox",
                        "kind": "required",
                        "type": "array",
                        "description": "List of checkbox custom fields",
                        "modelRef": "#/components/schemas/MultipleOptionCustomField",
                        "customType": "MultipleOptionCustomField[]",
                        "schema": [
                          {
                            "name": "label",
                            "kind": "required",
                            "type": "string",
                            "description": "Name of the custom field",
                            "example": "A custom field with choice"
                          },
                          {
                            "name": "choices",
                            "kind": "required",
                            "type": "array",
                            "description": "Custom field choices",
                            "example": "[\"choice1\",\"choice2\"]",
                            "itemType": "string",
                            "customType": "string[]",
                            "itemExample": "choice1",
                            "itemDefault": ""
                          }
                        ]
                      },
                      {
                        "name": "dropdown",
                        "kind": "required",
                        "type": "array",
                        "description": "List of dropdown custom fields",
                        "modelRef": "#/components/schemas/MultipleOptionCustomField",
                        "customType": "MultipleOptionCustomField[]",
                        "schema": [
                          {
                            "name": "label",
                            "kind": "required",
                            "type": "string",
                            "description": "Name of the custom field",
                            "example": "A custom field with choice"
                          },
                          {
                            "name": "choices",
                            "kind": "required",
                            "type": "array",
                            "description": "Custom field choices",
                            "example": "[\"choice1\",\"choice2\"]",
                            "itemType": "string",
                            "customType": "string[]",
                            "itemExample": "choice1",
                            "itemDefault": ""
                          }
                        ]
                      },
                      {
                        "name": "multichoice",
                        "kind": "required",
                        "type": "array",
                        "description": "List of multichoice custom fields",
                        "modelRef": "#/components/schemas/MultipleOptionCustomField",
                        "customType": "MultipleOptionCustomField[]",
                        "schema": [
                          {
                            "name": "label",
                            "kind": "required",
                            "type": "string",
                            "description": "Name of the custom field",
                            "example": "A custom field with choice"
                          },
                          {
                            "name": "choices",
                            "kind": "required",
                            "type": "array",
                            "description": "Custom field choices",
                            "example": "[\"choice1\",\"choice2\"]",
                            "itemType": "string",
                            "customType": "string[]",
                            "itemExample": "choice1",
                            "itemDefault": ""
                          }
                        ]
                      },
                      {
                        "name": "multi_select_dropdown",
                        "kind": "required",
                        "type": "array",
                        "description": "<p>List of multi-select dropdown custom fields</p>",
                        "modelRef": "#/components/schemas/MultipleOptionCustomField",
                        "customType": "MultipleOptionCustomField[]",
                        "schema": [
                          {
                            "name": "label",
                            "kind": "required",
                            "type": "string",
                            "description": "Name of the custom field",
                            "example": "A custom field with choice"
                          },
                          {
                            "name": "choices",
                            "kind": "required",
                            "type": "array",
                            "description": "Custom field choices",
                            "example": "[\"choice1\",\"choice2\"]",
                            "itemType": "string",
                            "customType": "string[]",
                            "itemExample": "choice1",
                            "itemDefault": ""
                          }
                        ]
                      },
                      {
                        "name": "date",
                        "kind": "required",
                        "type": "array",
                        "description": "List of date custom fields",
                        "modelRef": "#/components/schemas/LabelOnlyCustomField",
                        "customType": "LabelOnlyCustomField[]",
                        "schema": [
                          {
                            "name": "label",
                            "kind": "required",
                            "type": "string",
                            "description": "Name of the custom field",
                            "example": "A Custom Field"
                          }
                        ]
                      },
                      {
                        "name": "image",
                        "kind": "required",
                        "type": "array",
                        "description": "List of image custom fields",
                        "modelRef": "#/components/schemas/LabelOnlyCustomField",
                        "customType": "LabelOnlyCustomField[]",
                        "schema": [
                          {
                            "name": "label",
                            "kind": "required",
                            "type": "string",
                            "description": "Name of the custom field",
                            "example": "A Custom Field"
                          }
                        ]
                      },
                      {
                        "name": "richtext",
                        "kind": "required",
                        "type": "array",
                        "description": "List of rich text custom fields",
                        "modelRef": "#/components/schemas/LabelOnlyCustomField",
                        "customType": "LabelOnlyCustomField[]",
                        "schema": [
                          {
                            "name": "label",
                            "kind": "required",
                            "type": "string",
                            "description": "Name of the custom field",
                            "example": "A Custom Field"
                          }
                        ]
                      },
                      {
                        "name": "string",
                        "kind": "required",
                        "type": "array",
                        "description": "List of string custom fields",
                        "modelRef": "#/components/schemas/LabelOnlyCustomField",
                        "customType": "LabelOnlyCustomField[]",
                        "schema": [
                          {
                            "name": "label",
                            "kind": "required",
                            "type": "string",
                            "description": "Name of the custom field",
                            "example": "A Custom Field"
                          }
                        ]
                      },
                      {
                        "name": "textarea",
                        "kind": "required",
                        "type": "array",
                        "description": "List of textarea custom fields",
                        "modelRef": "#/components/schemas/LabelOnlyCustomField",
                        "customType": "LabelOnlyCustomField[]",
                        "schema": [
                          {
                            "name": "label",
                            "kind": "required",
                            "type": "string",
                            "description": "Name of the custom field",
                            "example": "A Custom Field"
                          }
                        ]
                      },
                      {
                        "name": "video",
                        "kind": "required",
                        "type": "array",
                        "description": "List of video custom fields",
                        "modelRef": "#/components/schemas/LabelOnlyCustomField",
                        "customType": "LabelOnlyCustomField[]",
                        "schema": [
                          {
                            "name": "label",
                            "kind": "required",
                            "type": "string",
                            "description": "Name of the custom field",
                            "example": "A Custom Field"
                          }
                        ]
                      }
                    ]
                  },
                  {
                    "name": "workflows",
                    "kind": "required",
                    "type": "array",
                    "description": "Settings workflows",
                    "modelRef": "#/components/schemas/SettingsWorkflow",
                    "customType": "SettingsWorkflow[]",
                    "schema": [
                      {
                        "name": "is_flexible_workflow",
                        "kind": "required",
                        "type": "boolean",
                        "description": "Indicates whether the workflow is flexible",
                        "example": false
                      },
                      {
                        "name": "is_not_pushed_to_library_by_default",
                        "kind": "required",
                        "type": "boolean",
                        "description": "Indicates whether the contents of the task created from this workflow are not pushed to the library by default",
                        "example": false
                      },
                      {
                        "name": "is_released_as_asset",
                        "kind": "required",
                        "type": "boolean",
                        "description": "Indicates whether the contents of the task created from this workflow are released as an asset",
                        "example": false
                      },
                      {
                        "name": "name",
                        "kind": "required",
                        "type": "string",
                        "description": "Name of the workflow",
                        "example": "A Workflow"
                      },
                      {
                        "name": "labels",
                        "kind": "required",
                        "type": "array",
                        "description": "List of the associated labels",
                        "modelRef": "#/components/schemas/WorkflowLabel",
                        "customType": "WorkflowLabel[]",
                        "schema": [
                          {
                            "name": "default_value",
                            "kind": "required",
                            "type": "array",
                            "description": "List of label names",
                            "example": "[\"label1\",\"label2\"]",
                            "itemType": "string",
                            "customType": "string[]",
                            "itemExample": "label1",
                            "itemDefault": ""
                          },
                          {
                            "name": "is_required",
                            "kind": "required",
                            "type": "boolean",
                            "description": "Indicates whether a label is required",
                            "example": true
                          },
                          {
                            "name": "label_type",
                            "kind": "required",
                            "type": "string",
                            "description": "Name of the Label Group",
                            "example": "Content Pillar"
                          },
                          {
                            "name": "is_required_at_task_creation",
                            "kind": "required",
                            "type": "boolean",
                            "description": "Indicates whether a label is required at task creation",
                            "example": false
                          }
                        ]
                      },
                      {
                        "name": "custom_fields",
                        "kind": "required",
                        "type": "array",
                        "description": "List of the associated custom field",
                        "modelRef": "#/components/schemas/WorkflowCustomfield",
                        "customType": "WorkflowCustomfield[]",
                        "schema": [
                          {
                            "name": "is_required",
                            "kind": "required",
                            "type": "boolean",
                            "description": "Indicates whether a custom field is required",
                            "example": false
                          },
                          {
                            "name": "field",
                            "kind": "required",
                            "type": "string",
                            "description": "Name of the custom field",
                            "example": "exampleCustomField"
                          },
                          {
                            "name": "default_value",
                            "kind": "required",
                            "type": "array",
                            "description": "List of the custom field choices",
                            "example": "[\"choice1\",\"choice2\"]",
                            "default": [],
                            "itemType": "string",
                            "customType": "string[]",
                            "itemExample": "choice1",
                            "itemDefault": ""
                          },
                          {
                            "name": "type",
                            "kind": "required",
                            "type": "string",
                            "description": "Type of custom field",
                            "example": "equal"
                          }
                        ]
                      },
                      {
                        "name": "default_channels",
                        "kind": "required",
                        "type": "array",
                        "description": "List of the associated channels",
                        "modelRef": "#/components/schemas/WorkflowChannel",
                        "customType": "WorkflowChannel[]",
                        "schema": [
                          {
                            "name": "display_name",
                            "kind": "required",
                            "type": "string",
                            "description": "Name of the channel",
                            "example": "exampleChannel"
                          },
                          {
                            "name": "type",
                            "kind": "required",
                            "type": "string",
                            "description": "Type of channel",
                            "example": "twitter"
                          }
                        ]
                      },
                      {
                        "name": "blacklisted_channels",
                        "kind": "required",
                        "type": "array",
                        "description": "List of the disallowed channels",
                        "modelRef": "#/components/schemas/WorkflowChannel",
                        "customType": "WorkflowChannel[]",
                        "schema": [
                          {
                            "name": "display_name",
                            "kind": "required",
                            "type": "string",
                            "description": "Name of the channel",
                            "example": "exampleChannel"
                          },
                          {
                            "name": "type",
                            "kind": "required",
                            "type": "string",
                            "description": "Type of channel",
                            "example": "twitter"
                          }
                        ]
                      },
                      {
                        "name": "steps",
                        "kind": "required",
                        "type": "array",
                        "description": "List of the workflow steps",
                        "modelRef": "#/components/schemas/WorkflowStep",
                        "customType": "WorkflowStep[]",
                        "schema": [
                          {
                            "name": "label",
                            "kind": "required",
                            "type": "string",
                            "description": "Name of the workflow step",
                            "example": "Step 1"
                          },
                          {
                            "name": "substeps",
                            "kind": "required",
                            "type": "array",
                            "description": "List of the substeps",
                            "modelRef": "#/components/schemas/WorkflowSubStep",
                            "customType": "WorkflowSubStep[]",
                            "schema": [
                              {
                                "name": "actions",
                                "kind": "required",
                                "type": "array",
                                "description": "List of actions",
                                "example": "[\"findContent\",\"writeEditSocialPost\"]",
                                "itemType": "string",
                                "customType": "string[]",
                                "itemExample": "findContent",
                                "itemDefault": ""
                              },
                              {
                                "name": "label",
                                "kind": "required",
                                "type": "string",
                                "nullable": true,
                                "description": "Name of the substep",
                                "example": "Substep 1",
                                "default": null
                              },
                              {
                                "name": "external_sub_step_config",
                                "kind": "optional",
                                "type": "object",
                                "description": "External substep configuration",
                                "example": "",
                                "schema": [
                                  {
                                    "name": "is_user_interaction_allowed",
                                    "kind": "optional",
                                    "type": "boolean",
                                    "description": "Indicates whether the user interaction is allowed",
                                    "example": false,
                                    "default": false
                                  }
                                ]
                              },
                              {
                                "name": "is_external",
                                "kind": "required",
                                "type": "boolean",
                                "nullable": true,
                                "description": "Indicates whether a substep is external",
                                "example": false,
                                "default": false
                              },
                              {
                                "name": "external_system",
                                "kind": "required",
                                "type": "string",
                                "nullable": true,
                                "description": "Name of the external system if the substep is external",
                                "example": "",
                                "default": null
                              },
                              {
                                "name": "description",
                                "kind": "required",
                                "type": "string",
                                "nullable": true,
                                "description": "Description of the substep",
                                "example": "This is a substep description",
                                "default": null
                              }
                            ]
                          },
                          {
                            "name": "description",
                            "kind": "required",
                            "type": "string",
                            "nullable": true,
                            "description": "Description of the workflow step",
                            "example": "This is a dummy example",
                            "default": null
                          },
                          {
                            "name": "duration",
                            "kind": "required",
                            "type": "integer",
                            "nullable": true,
                            "description": "Duration of the workflow step",
                            "example": 1,
                            "default": null
                          }
                        ]
                      },
                      {
                        "name": "description",
                        "kind": "required",
                        "type": "string",
                        "nullable": true,
                        "description": "Description of the workflow",
                        "example": "Sample description",
                        "default": null
                      }
                    ]
                  },
                  {
                    "name": "templates",
                    "kind": "required",
                    "type": "array",
                    "description": "Settings templates",
                    "modelRef": "#/components/schemas/SettingsTemplate",
                    "customType": "SettingsTemplate[]",
                    "schema": [
                      {
                        "name": "name",
                        "kind": "required",
                        "type": "string",
                        "description": "Name of the template",
                        "example": "Template 1"
                      },
                      {
                        "name": "description",
                        "kind": "required",
                        "type": "string",
                        "description": "Description of the template",
                        "example": "Template description"
                      },
                      {
                        "name": "public_description",
                        "kind": "required",
                        "type": "string",
                        "description": "Public description of the template",
                        "example": "Template public description"
                      },
                      {
                        "name": "form_fields",
                        "kind": "required",
                        "type": "array",
                        "description": "<p>List of the template form_fields</p>",
                        "modelRef": "#/components/schemas/FormField",
                        "customType": "FormField[]",
                        "schema": [
                          {
                            "name": "field_type",
                            "kind": "required",
                            "type": "string",
                            "description": "Type of template form field",
                            "example": "custom_field"
                          },
                          {
                            "name": "help",
                            "kind": "required",
                            "type": "string",
                            "description": "Helper text for form field",
                            "example": "This is a helper text"
                          },
                          {
                            "name": "is_required",
                            "kind": "required",
                            "type": "boolean",
                            "description": "Indicates whether the form field is required",
                            "example": false
                          },
                          {
                            "name": "logic_rules",
                            "kind": "required",
                            "type": "array",
                            "description": "List of the template logic rules",
                            "modelRef": "#/components/schemas/LogicRule",
                            "customType": "LogicRule[]",
                            "schema": [
                              {
                                "name": "action",
                                "kind": "required",
                                "type": "object",
                                "description": "Template logic rule action",
                                "modelRef": "#/components/schemas/LogicRuleAction",
                                "customType": "LogicRuleAction",
                                "schema": [
                                  {
                                    "name": "target_field",
                                    "kind": "required",
                                    "type": "object",
                                    "description": "Template logic rule action's target field",
                                    "modelRef": "#/components/schemas/LogicRuleTargetField",
                                    "customType": "LogicRuleTargetField",
                                    "schema": [
                                      {
                                        "name": "",
                                        "description": "",
                                        "customType": "Max depth limit reached"
                                      }
                                    ]
                                  },
                                  {
                                    "name": "type",
                                    "kind": "required",
                                    "type": "string",
                                    "description": "Type of logic rule action",
                                    "example": "jump_to"
                                  },
                                  {
                                    "name": "values",
                                    "kind": "required",
                                    "type": "array",
                                    "description": "Values to consider on logic rule action",
                                    "example": "[\"a choice\"]",
                                    "itemType": "string",
                                    "customType": "string[]",
                                    "itemExample": "a choice",
                                    "itemDefault": ""
                                  }
                                ]
                              },
                              {
                                "name": "condition",
                                "kind": "required",
                                "type": "object",
                                "description": "Logic rule action associated condition",
                                "modelRef": "#/components/schemas/LogicRuleCondition",
                                "customType": "LogicRuleCondition",
                                "schema": [
                                  {
                                    "name": "operator",
                                    "kind": "required",
                                    "type": "string",
                                    "description": "The operator for logic rule action",
                                    "example": "equal"
                                  },
                                  {
                                    "name": "values",
                                    "kind": "required",
                                    "type": "array",
                                    "description": "List of labels or custom field choices",
                                    "example": "[\"choice1\"]",
                                    "itemType": "string",
                                    "customType": "string[]",
                                    "itemExample": "choice1",
                                    "itemDefault": ""
                                  }
                                ]
                              }
                            ]
                          },
                          {
                            "name": "sort_order",
                            "kind": "required",
                            "type": "integer",
                            "description": "Sort order of the form field",
                            "example": 0
                          },
                          {
                            "name": "identifier",
                            "kind": "required",
                            "type": "string",
                            "description": "Identifier of the form field",
                            "example": "SingleChoice1"
                          },
                          {
                            "name": "custom_field_type",
                            "kind": "required",
                            "type": "string",
                            "nullable": true,
                            "description": "Type of the custom field when the form field is a custom field",
                            "example": "multichoice"
                          }
                        ]
                      },
                      {
                        "name": "sections",
                        "kind": "required",
                        "type": "array",
                        "description": "List of the template sections",
                        "modelRef": "#/components/schemas/Section",
                        "customType": "Section[]",
                        "schema": [
                          {
                            "name": "label",
                            "kind": "required",
                            "type": "string",
                            "description": "Name of the template section",
                            "example": "Test section"
                          },
                          {
                            "name": "id",
                            "kind": "required",
                            "type": "string",
                            "description": "Id of the template section",
                            "example": "9ec506f480dbc2d5f6919168ae448c41"
                          }
                        ]
                      },
                      {
                        "name": "instructions",
                        "kind": "required",
                        "type": "array",
                        "description": "List of the template instructions",
                        "modelRef": "#/components/schemas/Instruction",
                        "customType": "Instruction[]",
                        "schema": [
                          {
                            "name": "description",
                            "kind": "required",
                            "type": "string",
                            "description": "Description of the template instruction",
                            "example": "Test instruction description"
                          },
                          {
                            "name": "id",
                            "kind": "required",
                            "type": "string",
                            "description": "Id of the template instruction",
                            "example": "9ec506f480dbc2d5f6919168ae448c40"
                          }
                        ]
                      },
                      {
                        "name": "types",
                        "kind": "required",
                        "type": "array",
                        "description": "List of areas where you can use the template",
                        "example": "[\"campaign_brief\",\"task_brief\",\"work_request\"]",
                        "itemType": "string",
                        "customType": "string[]",
                        "itemExample": "campaign_brief",
                        "itemDefault": ""
                      }
                    ]
                  },
                  {
                    "name": "apps",
                    "kind": "required",
                    "type": "array",
                    "description": "Settings apps",
                    "modelRef": "#/components/schemas/SettingsApp",
                    "customType": "SettingsApp[]",
                    "schema": [
                      {
                        "name": "name",
                        "kind": "required",
                        "type": "string",
                        "description": "Name of the app",
                        "example": "App 1"
                      },
                      {
                        "name": "description",
                        "kind": "required",
                        "type": "string",
                        "description": "Description of the app",
                        "example": "Sample description"
                      },
                      {
                        "name": "homepage_url",
                        "kind": "required",
                        "type": "string",
                        "description": "Home page URL for app",
                        "example": "https://example1.com"
                      },
                      {
                        "name": "authorization_callback_urls",
                        "kind": "required",
                        "type": "array",
                        "description": "List of the authorization callback URLs",
                        "example": "[\"https://example1.com\",\"https://example2.com\"]",
                        "itemType": "string",
                        "customType": "string[]",
                        "itemExample": "https://example1.com",
                        "itemDefault": ""
                      },
                      {
                        "name": "expose_email",
                        "kind": "required",
                        "type": "boolean",
                        "description": "Indicates whether an email should be exposed in an API response",
                        "example": true
                      },
                      {
                        "name": "env",
                        "kind": "required",
                        "type": "string",
                        "description": "Environment of the app",
                        "example": "production"
                      }
                    ]
                  },
                  {
                    "name": "webhooks",
                    "kind": "required",
                    "type": "array",
                    "description": "Settings webhooks",
                    "modelRef": "#/components/schemas/SettingsWebhook",
                    "customType": "SettingsWebhook[]",
                    "schema": [
                      {
                        "name": "name",
                        "kind": "required",
                        "type": "string",
                        "description": "Name of the webhook",
                        "example": "Webhook 1"
                      },
                      {
                        "name": "description",
                        "kind": "required",
                        "type": "string",
                        "description": "Description of the webhook",
                        "example": "Sample description"
                      },
                      {
                        "name": "callback_url",
                        "kind": "required",
                        "type": "string",
                        "description": "Callback URL of the webhook",
                        "example": "https://exampledomain.com"
                      },
                      {
                        "name": "secret",
                        "kind": "required",
                        "type": "string",
                        "description": "Webhook callback URL secret",
                        "example": "secret121"
                      },
                      {
                        "name": "event_names",
                        "kind": "required",
                        "type": "array",
                        "description": "List of the subscribed event names for the webhook",
                        "example": "[\"asset_added\",\"asset_removed\"]",
                        "itemType": "string",
                        "customType": "string[]",
                        "itemExample": "asset_added",
                        "itemDefault": ""
                      }
                    ]
                  },
                  {
                    "name": "routing_rules",
                    "kind": "required",
                    "type": "array",
                    "description": "Settings routing rules",
                    "modelRef": "#/components/schemas/SettingsRoutingRule",
                    "customType": "SettingsRoutingRule[]",
                    "schema": [
                      {
                        "name": "name",
                        "kind": "required",
                        "type": "string",
                        "description": "Name of the routing rule",
                        "example": "example Routing Rule"
                      },
                      {
                        "name": "rules",
                        "kind": "required",
                        "type": "array",
                        "description": "List of the associated rules",
                        "example": "",
                        "itemType": "object",
                        "customType": "object[]",
                        "schema": [
                          {
                            "name": "field_type",
                            "kind": "required",
                            "type": "string",
                            "description": "Name of the rule field type",
                            "example": "customField"
                          },
                          {
                            "name": "identifier",
                            "kind": "required",
                            "type": "string",
                            "nullable": true,
                            "description": "Name of the rule identifier",
                            "example": "exampleCustomField1"
                          },
                          {
                            "name": "operator",
                            "kind": "required",
                            "type": "string",
                            "description": "Name of the rule operator",
                            "example": "equal"
                          },
                          {
                            "name": "value",
                            "kind": "required",
                            "type": "array",
                            "description": "<p>List of the associated label, custom field, or due date choice</p>",
                            "example": "[\"value1\",\"value2\"]",
                            "itemType": "string",
                            "customType": "string[]",
                            "itemExample": "value1",
                            "itemDefault": ""
                          },
                          {
                            "name": "unit",
                            "kind": "required",
                            "type": "string<days | weeks | months | years | >",
                            "nullable": true,
                            "description": "<p>Unit of rule's field. Not null when the rule's <code>field_type</code> value is <code>dueDate</code></p>",
                            "example": "days",
                            "enum": [
                              "days",
                              "weeks",
                              "months",
                              "years",
                              "null"
                            ]
                          },
                          {
                            "name": "custom_field_type",
                            "kind": "required",
                            "type": "string",
                            "nullable": true,
                            "description": "Associated custom field type",
                            "example": "multichoice"
                          }
                        ]
                      },
                      {
                        "name": "watchers",
                        "kind": "required",
                        "type": "array",
                        "description": "List of the routing rule watchers email",
                        "example": "[\"examplewatcher@gmail.com\"]",
                        "itemType": "string",
                        "customType": "string[]",
                        "itemExample": "examplewatcher@gmail.com",
                        "itemDefault": ""
                      },
                      {
                        "name": "description",
                        "kind": "required",
                        "type": "string",
                        "description": "Description of the routing rule",
                        "example": "Sample routing rule description"
                      },
                      {
                        "name": "template_name",
                        "kind": "required",
                        "type": "string",
                        "nullable": true,
                        "description": "Name of the associated template",
                        "example": "Sample template name"
                      }
                    ]
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/Settings",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Authorization error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Unauthorized\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Permission error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"You do not have the permission to perform this operation\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "Lq5fQTJdb0fLIxc66B4P8",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.cmp.optimizely.com/v3/settings \\\n     --header 'accept: application/json'"
        },
        {
          "id": "KWSUmscFpk8rsLqeMiTUa",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.cmp.optimizely.com/v3/settings\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "LyRIyLG0Y33PrDrh-Wgb8",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.cmp.optimizely.com/v3/settings\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "AXpFIXeb2OrsN9zyjeqi1",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.cmp.optimizely.com/v3/settings\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "Lq5fQTJdb0fLIxc66B4P8"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Fetched settings\n{\n  \"resources\": {\n    \"labels\": [\n      {\n        \"has_single_value\": true,\n        \"label_type\": \"Content Pillar\",\n        \"labels\": [\n          {\n            \"name\": \"Pillar1\",\n            \"color\": \"#4ECFD5\"\n          }\n        ]\n      }\n    ],\n    \"custom_fields\": {\n      \"currency\": [\n        {\n          \"label\": \"A Currency Custom Field\",\n          \"decimal_places\": 1,\n          \"currency_code\": \"USD\",\n          \"has_thousand_separator\": false\n        }\n      ],\n      \"number\": [\n        {\n          \"label\": \"A Number Custom Field\",\n          \"decimal_places\": 1,\n          \"has_thousand_separator\": false\n        }\n      ],\n      \"percentage\": [\n        {\n          \"label\": \"A Percentage Custom Field\",\n          \"decimal_places\": 1\n        }\n      ],\n      \"checkbox\": [\n        {\n          \"label\": \"A custom field with choice\",\n          \"choices\": [\n            \"choice1\"\n          ]\n        }\n      ],\n      \"dropdown\": [\n        {\n          \"label\": \"A custom field with choice\",\n          \"choices\": [\n            \"choice1\"\n          ]\n        }\n      ],\n      \"multichoice\": [\n        {\n          \"label\": \"A custom field with choice\",\n          \"choices\": [\n            \"choice1\"\n          ]\n        }\n      ],\n      \"multi_select_dropdown\": [\n        {\n          \"label\": \"A custom field with choice\",\n          \"choices\": [\n            \"choice1\"\n          ]\n        }\n      ],\n      \"date\": [\n        {\n          \"label\": \"A Custom Field\"\n        }\n      ],\n      \"image\": [\n        {\n          \"label\": \"A Custom Field\"\n        }\n      ],\n      \"richtext\": [\n        {\n          \"label\": \"A Custom Field\"\n        }\n      ],\n      \"string\": [\n        {\n          \"label\": \"A Custom Field\"\n        }\n      ],\n      \"textarea\": [\n        {\n          \"label\": \"A Custom Field\"\n        }\n      ],\n      \"video\": [\n        {\n          \"label\": \"A Custom Field\"\n        }\n      ]\n    },\n    \"workflows\": [\n      {\n        \"is_flexible_workflow\": false,\n        \"is_not_pushed_to_library_by_default\": false,\n        \"is_released_as_asset\": false,\n        \"name\": \"A Workflow\",\n        \"labels\": [\n          {\n            \"default_value\": [\n              \"label1\"\n            ],\n            \"is_required\": true,\n            \"label_type\": \"Content Pillar\",\n            \"is_required_at_task_creation\": false\n          }\n        ],\n        \"custom_fields\": [\n          {\n            \"is_required\": false,\n            \"field\": \"exampleCustomField\",\n            \"default_value\": [\n              \"choice1\"\n            ],\n            \"type\": \"equal\"\n          }\n        ],\n        \"default_channels\": [\n          {\n            \"display_name\": \"exampleChannel\",\n            \"type\": \"twitter\"\n          }\n        ],\n        \"blacklisted_channels\": [\n          {\n            \"display_name\": \"exampleChannel\",\n            \"type\": \"twitter\"\n          }\n        ],\n        \"steps\": [\n          {\n            \"label\": \"Step 1\",\n            \"substeps\": [\n              {\n                \"actions\": [\n                  \"findContent\"\n                ],\n                \"label\": \"Substep 1\",\n                \"external_sub_step_config\": {\n                  \"is_user_interaction_allowed\": false\n                },\n                \"is_external\": false,\n                \"external_system\": \"\",\n                \"description\": \"This is a substep description\"\n              }\n            ],\n            \"description\": \"This is a dummy example\",\n            \"duration\": 1\n          }\n        ],\n        \"description\": \"Sample description\"\n      }\n    ],\n    \"templates\": [\n      {\n        \"name\": \"Template 1\",\n        \"description\": \"Template description\",\n        \"public_description\": \"Template public description\",\n        \"form_fields\": [\n          {\n            \"field_type\": \"custom_field\",\n            \"help\": \"This is a helper text\",\n            \"is_required\": false,\n            \"logic_rules\": [\n              {\n                \"action\": {\n                  \"target_field\": {\n                    \"\": \"\"\n                  },\n                  \"type\": \"jump_to\",\n                  \"values\": [\n                    \"a choice\"\n                  ]\n                },\n                \"condition\": {\n                  \"operator\": \"equal\",\n                  \"values\": [\n                    \"choice1\"\n                  ]\n                }\n              }\n            ],\n            \"sort_order\": 0,\n            \"identifier\": \"SingleChoice1\",\n            \"custom_field_type\": \"multichoice\"\n          }\n        ],\n        \"sections\": [\n          {\n            \"label\": \"Test section\",\n            \"id\": \"9ec506f480dbc2d5f6919168ae448c41\"\n          }\n        ],\n        \"instructions\": [\n          {\n            \"description\": \"Test instruction description\",\n            \"id\": \"9ec506f480dbc2d5f6919168ae448c40\"\n          }\n        ],\n        \"types\": [\n          \"campaign_brief\"\n        ]\n      }\n    ],\n    \"apps\": [\n      {\n        \"name\": \"App 1\",\n        \"description\": \"Sample description\",\n        \"homepage_url\": \"https://example1.com\",\n        \"authorization_callback_urls\": [\n          \"https://example1.com\"\n        ],\n        \"expose_email\": true,\n        \"env\": \"production\"\n      }\n    ],\n    \"webhooks\": [\n      {\n        \"name\": \"Webhook 1\",\n        \"description\": \"Sample description\",\n        \"callback_url\": \"https://exampledomain.com\",\n        \"secret\": \"secret121\",\n        \"event_names\": [\n          \"asset_added\"\n        ]\n      }\n    ],\n    \"routing_rules\": [\n      {\n        \"name\": \"example Routing Rule\",\n        \"rules\": [\n          {\n            \"field_type\": \"customField\",\n            \"identifier\": \"exampleCustomField1\",\n            \"operator\": \"equal\",\n            \"value\": [\n              \"value1\"\n            ],\n            \"unit\": \"days\",\n            \"custom_field_type\": \"multichoice\"\n          }\n        ],\n        \"watchers\": [\n          \"examplewatcher@gmail.com\"\n        ],\n        \"description\": \"Sample routing rule description\",\n        \"template_name\": \"Sample template name\"\n      }\n    ]\n  }\n}"
        },
        {
          "id": "response-1-401",
          "language": "401",
          "code": "// Authorization error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Permission error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}